# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
  env(ELASTICSEARCH_HOST): 'localhost'
  env(ELASTICSEARCH_PORT): '9200'
  env(REDIS_DSN): 'redis://localhost'
services:
  # default configuration for services in *this* file
  _defaults:
    autowire: true      # Automatically injects dependencies in your services.
    autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.
  # makes classes in src/ available to be used as services
  # this creates a service per class whose id is the fully-qualified class name
  Paynetics\:
    resource: '../../'
    exclude: '../../{DependencyInjection,Entity,Migrations,Tests,Kernel.php}'

  # controllers are imported separately to make sure services can be injected
  # as action arguments even if you don't extend any base controller class


  GuzzleHttp\ClientInterface:
    class: GuzzleHttp\Client


  Paynetics\FileManager\FileManagerInterface:
    class: Paynetics\FileManager\S3FileManager
